Package org.apache.storm.redis.trident.state

# Class RedisClusterStateQuerier

java.lang.Object
org.apache.storm.trident.operation.BaseOperation
org.apache.storm.trident.state.BaseQueryFunction<T,List<Values>>
org.apache.storm.redis.trident.state.AbstractRedisStateQuerier<RedisClusterState>
org.apache.storm.redis.trident.state.RedisClusterStateQuerier

All Implemented Interfaces:
  `Serializable`, `EachOperation`, `Operation`, `QueryFunction<RedisClusterState,List<Values>>`

public class RedisClusterStateQuerier extends AbstractRedisStateQuerier<RedisClusterState>
BaseQueryFunction implementation for Redis Cluster environment.

See Also:
  - `AbstractRedisStateQuerier`
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.apache.storm.redis.trident.state.AbstractRedisStateQuerier

  `additionalKey, dataType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RedisClusterStateQuerier(RedisLookupMapper lookupMapper)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected List<String>`
  `retrieveValuesFromRedis(RedisClusterState state, List<String> keys)`
  Retrieves values from Redis that each value is corresponding to each key.

  ### Methods inherited from class org.apache.storm.redis.trident.state.AbstractRedisStateQuerier

  `batchRetrieve, execute`

  ### Methods inherited from class org.apache.storm.trident.operation.BaseOperation

  `cleanup, prepare`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.storm.trident.operation.Operation

  `cleanup, prepare`

- ## Constructor Details

  - ### RedisClusterStateQuerier

    public RedisClusterStateQuerier(RedisLookupMapper lookupMapper)
    Constructor.
    Parameters:
      `lookupMapper` - mapper for querying

- ## Method Details

  - ### retrieveValuesFromRedis

    protected List<String> retrieveValuesFromRedis(RedisClusterState state, List<String> keys)
    Retrieves values from Redis that each value is corresponding to each key.
    Specified by:
      `retrieveValuesFromRedis` in class `AbstractRedisStateQuerier<RedisClusterState>`
    Parameters:
      `state` - State for handling query
      `keys` - keys having state values
    Returns:
      values which are corresponding to keys